--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Registers the cache store name with a type &amp; options name&lt;Symbol&gt; : An optional symbol to give the cache. :default is used if no name is given. klass&lt;Class&gt; : A store type. opts&lt;Hash&gt; : A hash to pass through to the store for configuration."
full_name: Merb::Cache::register
is_singleton: true
name: register
params: (name, klass = nil, opts = {})
visibility: public
